/* Copyright (c) 2000-2002 ActiveState Tool SRL.
   See the file LICENSE.txt for licensing information. */

function AboutOnLoad() {
    var infoSvc = Components.classes["@activestate.com/koInfoService;1"].
                  getService(Components.interfaces.koIInfoService);

    // Display the correct image.
    aboutImage = document.getElementById("about-image");
    if (infoSvc.productType == "professional") {
        aboutImage.setAttribute("src",
            "chrome://komodo/skin/images/about_professional.png");
    } else if (infoSvc.productType == "personal") {
        aboutImage.setAttribute("src",
            "chrome://komodo/skin/images/about_personal.png");
    } else {
        logError("Unexpected product type: '" + infoSvc.productType + "'");
    }

    // Fill in Komodo build information.
    var buildInfoTextbox = document.getElementById("build-info-textbox");
    var buildInfo = "Komodo " + infoSvc.productType +
                    ", version " + infoSvc.version +
                    ", build " + infoSvc.buildNumber +
                    ". Built on " + infoSvc.buildASCTime + ".";
    buildInfoTextbox.setAttribute("value", buildInfo);

    // Fill in Komodo License information.
    var licenseInfoLabel = document.getElementById("license-info-label");
    licenseInfoLabel.appendChild(document.createTextNode(infoSvc.licenseInfo));

    document.getElementById("ok-button").focus();
    koCenterWindowOnScreen();
}
