/* Copyright (c) 2000-2001 ActiveState Tool Corporation.
   See the file LICENSE.txt for licensing information. */

var dialog = {};

var osPathService = Components.classes["@activestate.com/koOsPath;1"]
            .getService(Components.interfaces.koIOsPath);
            
function onPerlAppFileAddLoad() {
    // set up UI elements
    dialog.sourceFile = document.getElementById('sourceFile');
    dialog.destinationFile = document.getElementById('destinationFile');

    dialog.sourceFile.value = window.arguments[0].sourceFile;
    dialog.destinationFile.value = window.arguments[0].destinationFile;
    
    koDoSetOKCancel(doOk, doCancel);
    koMoveToAlertPosition();
}

function browse() {
    var nsIFilePicker = Components.interfaces.nsIFilePicker;
    var fp = Components.classes["@mozilla.org/filepicker;1"].createInstance(nsIFilePicker);

    fp.appendFilters(Components.interfaces.nsIFilePicker.filterAll)

    if (fp.show() == Components.interfaces.nsIFilePicker.returnOK) {
        dialog.sourceFile.value = fp.file.path;
        dialog.destinationFile.value = fp.file.leafName;
    }
}

function changeSourceFile() {
}

function changeDestinationFile() {

}

function doOk() {
    if (dialog.sourceFile.value == '' ||
        dialog.destinationFile.value == '') {
        return 0
    }

    window.arguments[0].sourceFile = dialog.sourceFile.value;
    window.arguments[0].destinationFile = dialog.destinationFile.value;
    return 1
}

function doCancel() {
    window.arguments[0].sourceFile = "";
    window.arguments[0].destinationFile = "";
    return 1
}