/* Copyright (c) 2000-2001 ActiveState Tool Corporation.
   See the file LICENSE.txt for licensing information. */

/* Testing koIFile */

var uriFile;
var localFile;

function onLoad() {
  
  dump('onLoad()\n');

  // Grab the file components.
  var uriFile = Components.classes["@activestate.com/koURIFile;1"].
	  createInstance(Components.interfaces.koIURIFile);
  dump('uriFile: ' + uriFile + '\n');

  var localFile = Components.classes["@activestate.com/koLocalFile;1"].
	  createInstance().QueryInterface(Components.interfaces.koILocalFile);
  dump('localFile: ' + localFile + '\n');
}

function testURI() {

  var fileNameBox = document.getElementById('uri');
  var fileName = fileNameBox.getAttribute('value');

  uriFile.init(fileName, 'r');
  var got = uriFile.read(-1);

  dump('got: ' + got + '\n');
}

function testLocal() {

  var fileNameBox = document.getElementById('local');
  var fileName = fileNameBox.getAttribute('value');

  localFile.init(fileName, 'r');
  var got = localFile.read(-1);

  dump('got: ' + got + '\n');
}
