/* Copyright (c) 2000-2001 ActiveState Tool Corporation.
   See the file LICENSE.txt for licensing information. */

function OnLoad() {
    var koIPreferenceSet = Components.interfaces.koIPreferenceSet;
    dump("Test form loaded\n");
    
    window.controllers.appendController( TestController );
    window.addEventListener("keypress", MyKeyPress, true);
    
    var factory = Components.classes["@activestate.com/koPreferenceSetObjectFactory;1"].
            createInstance(Components.interfaces.koIPreferenceSetObjectFactory);
    var prefSet = factory.deserializeFile("f:/temp/keyboard-definitions.xml").QueryInterface(koIPreferenceSet);
    prefSet = prefSet.getPref("Standard").QueryInterface(Components.interfaces.koIUIPreferenceSet);
    // Get the keys preference set.
    enumr = prefSet.enumPrefs("keypref");
    while (enumr.hasMoreElements()) {
        pref = enumr.getNext().QueryInterface(koIPreferenceSet);

        var keynode = document.getElementById("key_" + pref.id);
        val = pref.getStringPref("key")
        keynode.setAttribute("key", val);
        dump("Set key preference " + pref.id + " to " + val + "\n");
    }

/*************
    var k = document.getElementById("key_open");
    dump("Get a key - " + k + "\n");
    k.setAttribute("key", "r");

    dump("*** Dumping the document DOM ***\n");
    DumpNodeList(document.childNodes);
    
    dump("\n*** Dumping the keyset DOM ***\n");
    DumpNodeList(document.getElementsByTagName("dialogKeys"));

    dump("\n*** Trying to get at the chrome via RDF ***\n");

    dump("keyset is " + document.getElementsByTagName("dialogKeys") + "\n");
    testRDF();
******************/
}

function MyKeyPress(event) {
    dump("KeyPress\n");
    event.preventDefault();
}
var TestController = {
  supportsCommand: function(command) {
    switch ( command ) {
      case "cmd_open":
          return true;
      default:
          return false;
    }
  },
  isCommandEnabled: function(command) {
    return true;
  },
  doCommand: function(command) {
    dump("** doCommand " + command + "\n");
  },
  onEvent: function(event) {
  }
};  

function DumpNodeList(nodelist, prefix) {
    if (prefix==undefined) prefix = ""
    for (var i = 0; i < nodelist.length; i++) {
        var node = nodelist[i]
        dump(prefix + "---------\n");
        dump(prefix + "Attributes:\n");
        for (var a=0; a < node.attributes.length; a++) {
            var attrib = node.attributes[a]
            dump(prefix + attrib.name + " = " + attrib.value + "(specified=" + attrib.specified + ", ownerElement=" + attrib.ownerElement + ")\n");
        }
        DumpNodeList(node.childNodes, prefix + "  ")
    }
}

function testRDF() {
// None of this really works!!!
    dump("Doc location is " + document.location + "\n");
    var RDF = Components.classes['@mozilla.org/rdf/rdf-service;1'].getService();
    RDF = RDF.QueryInterface(Components.interfaces.nsIRDFService);
    
    dump("Getting ID of 'text' yields " + RDF.GetResource("text") + "\n");
    dump("Getting ID of fileMenu yields " + RDF.GetResource("fileMenu") + "\n");
     
    var ds = RDF.GetDataSource(document.location);
    
    var cmds = ds.GetAllCmds( RDF.GetResource("text") );
    dump("Got enum " + cmds + "\n");
    
    while (cmds.hasMoreElements())
    {
        var cmd = cmdEnum.getNext();
        dump("** got cmd " + cmd + "\n");
    }
    
    var domds = ds.QueryInterface(Components.interfaces.nsIRDFDataSource);
    
    
    dump("data source is " + domds + "\n");

}
