from xpcom import components, ServerException

from koLanguageServiceBase import *

class koBaanLanguage(KoLanguageBase):
    name = "Baan"
    _reg_desc_ = "%s Language" % name
    _reg_contractid_ = "@activestate.com/koLanguage?language=%s;1" \
                       % (name)
    _reg_clsid_ = "{E060D09B-27FB-4b25-8DE0-E12FBF200285}"

    defaultExtension = ".bc"
    
    def get_lexer(self):
        if self._lexer is None:
            self._lexer = KoLexerLanguageService()
            self._lexer.setLexer(components.interfaces.ISciMoz.SCLEX_BAAN)
        return self._lexer


