/* Copyright (c) 2000-2001 ActiveState Tool Corporation.
   See the file LICENSE.txt for licensing information. */

// Globals
var globalPrefService = Components.classes["@activestate.com/koPrefService;1"].
	    getService(Components.interfaces.koIPrefService);
var globalPrefs = globalPrefService.prefs;
  
function PrefUI_OkCallback(prefset)
{
    // try to get a handle on an already open komodo workspace
    const nsIWindowMediator = Components.interfaces.nsIWindowMediator;
    const MEDIATOR_CONTRACTID =
        "@mozilla.org/rdf/datasource;1?name=window-mediator";
    var windowManager =
        Components.classes[MEDIATOR_CONTRACTID].getService(nsIWindowMediator);
    var workspaceWindow = windowManager.getMostRecentWindow("komodo_kombo");
    if (workspaceWindow) {
      // Text buttons
	  // XXX - these should really just use preference notifications.
      var showTextButtons = prefset.getBooleanPref("showTextButtons");
      workspaceWindow.toggleButtons(showTextButtons, false);
      // Edit toolbar
      var showStandardToolbar = prefset.getBooleanPref("showStandardToolbar");
      workspaceWindow.toggleToolboxItem('editorToolbar', true, showStandardToolbar);
      // Debug Toolbar
      var showDebugToolbar = prefset.getBooleanPref("showDebugToolbar");
      workspaceWindow.toggleToolboxItem('debuggerToolbar', true, showDebugToolbar);
    }
    return true;
}

function PrefUI_OnLoad()
{
    var tag = 'chrome://komodo/content/pref/pref-ui.xul';
    parent.hPrefWindow.onpageload(tag);
    parent.hPrefWindow.registerOKCallbackFunc(PrefUI_OkCallback, tag);
}

