/* Copyright (c) 2000-2001 ActiveState SRL. 
   See the file LICENSE.txt for licensing information. */

/* Web Services Setup Wizard - panel 2 */

//---- globals

var _gPanelName = "wsSetup_Installing";


//---- internal support routines

function _Install()
{
    // XXX If this is a long process then should really add a progress
    //     meter, or perhaps stream in the PyPPM output as it comes.
    SetBusyCursor(parent, true);
    var wsSetupSvc = parent.wsSetupSvcs[parent.wd_language];
    var logObj = new Object;
    var success = wsSetupSvc.Setup(logObj);
    parent.wd_setupLog = logObj.value;
    SetBusyCursor(parent, false);
    
    // Determine if successful.
    if (success) {
        parent.wd_completionState = "success";
    } else {
        parent.wd_completionState = "error";
    }
    
    // Go to the last page.
    parent.wizardManager.LoadPage("wsSetup_Warning", false);
}



//---- interface for wsSetup_Installing.xul

function OnLoad()
{
    // Give a nice header name for this pane.
    var headerWidget = parent.document.getElementById("header");
    headerWidget.setAttribute("title", "Installing");
    headerWidget.setAttribute("description",
        "Installing Web Service support.");

    // <description id="please-wait-msg"/>
    pleaseWaitMsg = document.getElementById("please-wait-msg");
    var text = "Please wait while Komodo sets up your "
               + parent.wd_language + " installation for Web "
               + "Services. This requires downloading some modules "
               + "from the Internet and may, therefore, take a few "
               + "minutes.";
    pleaseWaitMsg.appendChild(document.createTextNode(text));

    // Disable the cancel button (XXX at least until this process
    // is made cancellable).
    var cancelButton = parent.document.getElementById("wiz-cancel-button");
    cancelButton.disabled = true;

    // Setup for WS.
    window.setTimeout('_Install();', 10);
    
    parent.wizardManager.onPageLoad(_gPanelName);
}

