#!/usr/bin/perl -w
use strict;

use DBI;

# Connect to database
my $user = "sa";
my $pass = "";
my $source = "dbi:ADO:Northwind";
my $dbh=DBI->connect($source, $user, $pass, {RaiseError => 1});

# Prepare statement for execution
my $sth = $dbh->prepare("SELECT * FROM Products");

# Execute statement
$sth->execute;

# Retrieve all rows produced by statement execution
while (my @row = $sth->fetchrow_array) {

    # Print name and value of each field in this record
    printf "%-20s : %s\n", $sth->{NAME}->[$_], $row[$_] for 0..@row-1;
    print "\n";
}

# Disconnect database connection
$dbh->disconnect;
